Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363921 - Review Request: protobuf-java-format - Serialization and de-serialization of different formats
Summary: Review Request: protobuf-java-format - Serialization and de-serialization of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1353904 1353905 1363923
TreeView+ depends on / blocked
 
Reported: 2016-08-03 23:50 UTC by gil cattaneo
Modified: 2016-08-27 10:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-25 13:54:57 UTC
nphilipp: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-08-03 23:50:31 UTC
Spec URL: https://gil.fedorapeople.org/protobuf-java-format.spec
SRPM URL: https://gil.fedorapeople.org/protobuf-java-format-1.4-1.fc24.src.rpm
Description: 
Provide serialization and de-serialization of different formats
based on Google’s Protobuf Message. Enables overriding the
default (byte array) output to text based formats such as XML,
JSON and HTML.

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15125210

Comment 1 Nils Philippsen 2016-08-14 21:34:49 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.

--> Typo: "# Unavalable"

[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[-]: Bundled jar/class files should be removed before build
     Note: Can't find any BUILD directory (--prebuilt option?)
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[!]: Latest version is packaged.

--> It seems like this is a snapshot package, but the release is for a released
version -- "1%{?dist}"

The latest official release seems to be 1.3, not 1.4.

[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: protobuf-java-format-1.4-1.fc26.noarch.rpm
          protobuf-java-format-javadoc-1.4-1.fc26.noarch.rpm
          protobuf-java-format-1.4-1.fc26.src.rpm
protobuf-java-format.noarch: W: spelling-error Summary(en_US) de -> DE, ed, d
protobuf-java-format.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
protobuf-java-format.src: W: spelling-error Summary(en_US) de -> DE, ed, d
protobuf-java-format.src: W: spelling-error %description -l en_US de -> DE, ed, d
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
protobuf-java-format.noarch: W: spelling-error Summary(en_US) de -> DE, ed, d
protobuf-java-format.noarch: W: spelling-error %description -l en_US de -> DE, ed, d
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

--> The above warnings are bogus.

=====

Please fix these two:

[!]: Spec file is legible and written in American English.

--> Typo: "# Unavalable"

[!]: Latest version is packaged.

--> It seems like this is a snapshot package, but the release is for a released
version -- "1%{?dist}"

The latest official release seems to be 1.3, not 1.4.

Comment 2 gil cattaneo 2016-08-14 22:51:44 UTC
(In reply to Nils Philippsen from comment #1)
> Please fix these two:
> 
> [!]: Spec file is legible and written in American English.
> 
> --> Typo: "# Unavalable"

Done

> [!]: Latest version is packaged.

See https://github.com/bivas/protobuf-java-format/issues/33

> --> It seems like this is a snapshot package, but the release is for a
> released
> version -- "1%{?dist}"
>
> The latest official release seems to be 1.3, not 1.4.

and https://github.com/bivas/protobuf-java-format/commits/master/pom.xml
This is seem a release to all effects ... 

Spec URL: https://gil.fedorapeople.org/protobuf-java-format.spec
SRPM URL: https://gil.fedorapeople.org/protobuf-java-format-1.4-2.fc24.src.rpm

Comment 3 Nils Philippsen 2016-08-16 23:35:27 UTC
Thanks for fixing this, the package is ACCEPTED.

Comment 5 Gwyn Ciesla 2016-08-17 13:01:47 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/protobuf-java-format

Comment 6 Fedora Update System 2016-08-17 14:02:17 UTC
protobuf-java-format-1.4-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-917fef992a

Comment 7 Fedora Update System 2016-08-17 14:12:20 UTC
protobuf-java-format-1.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0479922eef

Comment 8 Fedora Update System 2016-08-17 19:52:42 UTC
protobuf-java-format-1.4-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-917fef992a

Comment 9 Fedora Update System 2016-08-18 01:51:42 UTC
protobuf-java-format-1.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0479922eef

Comment 10 Fedora Update System 2016-08-25 13:54:54 UTC
protobuf-java-format-1.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-27 10:24:43 UTC
protobuf-java-format-1.4-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.